<center>
  
  <table border="0" >
  <tr valign=top align=center>
    <td>
    <h3>Statistics</h3>

      <table border="0" >
        <tr">
          <td>Date</td>
          <td>Installations </td>
          <td>Disabled Users</td>
          <td>Published feeds</td>
      
        
          <td  class="zerocolor">FB ads</td>
          <td  class="zerocolor">A ads</td>
          <td  class="zerocolor">B ads</td>
          <td  class="zerocolor">FB status</td>
          <td  class="zerocolor">FB feed</td>
          <td  class="zerocolor">I</td>
          <td  class="zerocolor">II</td>
          <td  class="zerocolor">III</td>
        </tr>
        
       <tr align="center" style= "background-color: #b02c2c;" >
          <td>Total</td>
         
          <td><%=@total[PERMISSION]%></td>
          <td><%=@total[DELETED]%></td>
          <td><%=@total[PUBLISHED]%></td>

          <td><%=@total[SHIFT + FROM_FB_ADS ]%> </td>
          <td><%=@total[SHIFT + FROM_PLAY_ADS]%> </td>
          <td><%=@total[SHIFT + FROM_PLAY_SITE]%> </td>
          <td><%=@total[SHIFT + FROM_STATUS ]%> </td>
          <td><%=@total[SHIFT + FROM_FEEDS ]%> </td>
          <td><%=@total[SHIFT + FROM_NOTIFICATIONS ]%> </td>
          <td><%=@total[SHIFT + FROM_OTHER1  ]%> </td>
          <td><%=@total[SHIFT + FROM_OTHER2  ]%> </td>
        </tr>
         
       <% @data_pack.each_with_index {|data, i| %>
        <tr align="center" class= "<%if i % 2 == 1 %>firstcolor<%else%><%end%>" >
          <td ><%=@date_range[@date_range.size-i -1] %></td>
          <td><%=data[PERMISSION]%></td>
          <td><%=data[DELETED]%></td>
          <td><%=data[PUBLISHED]%></td>
      
          <td><%=data[SHIFT + FROM_FB_ADS ]%> </td>
          <td><%=data[SHIFT + FROM_PLAY_ADS]%> </td>
          <td><%=data[SHIFT + FROM_PLAY_SITE]%> </td>
          <td><%=data[SHIFT + FROM_STATUS ]%> </td>
          <td><%=data[SHIFT + FROM_FEEDS ]%> </td>
          <td><%=data[SHIFT + FROM_NOTIFICATIONS ]%> </td>
          <td><%=data[SHIFT + FROM_OTHER1  ]%> </td>
          <td><%=data[SHIFT + FROM_OTHER2  ]%> </td>
        </tr>
        <% }%> 
      </table>
      <a href="admin/statistic_to_csv" target='_blank'">Export To CSV...</a>
    </td>
    <td>
      <h3>Statistics by hour</h3>
      <table border="0" >
      <tr class= "firstcolor">
          <td align=center>Hours</td>
          <td># joined</td>
          <td># disabled</td>
      </tr>
      <%  21.upto(23) do |x| %>
      <tr align="center" class= "<%if x % 2 == 0 %>firstcolor<%else%><%end%>" >
         <td><%=x %></td>
         <td><%=@hour_statistic[x] %></td>
         <td><%=@hour_deleted_statistic[x] %></td>
      </tr>
      <% end%> 
      <%  0.upto(20) do |x| %>
      <tr align="center" class= "<%if x % 2 == 0 %>firstcolor<%else%><%end%>" >
         <td><%=x %></td>
         <td><%=@hour_statistic[x] %></td>
         <td><%=@hour_deleted_statistic[x] %></td>
      </tr>
      <% end%> 
      </table>
    </td>
  </tr>
  </table>
  
</center>
